Name:		asunder
Summary:	A graphical Audio CD ripper and encoder
Version:	2.2
Release:	1%{?dist}
License:	GPLv2
Group:		Applications/File
URL:		http://littlesvr.ca/asunder
#moved to .rpmmacros
#Packager:	Marcin Zajaczkowski <mszpak ATT wp DOTT pl>
Source0:	http://littlesvr.ca/asunder/releases/asunder-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#libcddb is forced by libcddb-devel and proper .so
#Requires:	libcddb
Requires:	cdparanoia
#recommended runtime dependencies
Requires:	vorbis-tools
Requires:	flac
#for mp3 encoding (due to Fedora's patent policy available only from RPMFusion repository)
#Requires:	lame
#additional runtime dependency (lossy and lossless hybrid compression mode)
#Requires:	wavpack
#additional runtime dependency (Monkey’s Audio - lossless compression)
#Requires:	mac

#Musepack is packaged only as a library
#Nero AAC encoder is not currently packaged

#version was taken from the program's website
BuildRequires:	libcddb-devel >= 0.9.5
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool >= 0.34.90

%description
It allows to save tracks from an Audio CD as WAV, OGG, FLAC, Wavpack
and/or MP3, Monkey's Audio, Musepack, AAC (using third-party software).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}

make install DESTDIR=%{buildroot}

%find_lang %{name}

desktop-file-install --vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category X-AudioVideoImport \
	--delete-original \
	%{buildroot}%{_datadir}/applications/asunder.desktop

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/asunder
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%{_datadir}/applications/fedora-asunder.desktop
%{_datadir}/pixmaps/asunder.png
#man page is not currently available
#%{_mandir}/man1/asunder.1*

%changelog
* Thu Oct 25 2012 Lee Ward <lee@fuduntu.org> - Version:2.2-Release:1
- Built for Fuduntu

* Sun Feb 26 2012 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 2.2-1
- updated to 2.2
- add BuildRequires for intltool to fix a build problem in Koji

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.1-2
- Rebuild for new libpng

* Fri Jun 24 2011 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 2.1-1
- updated to 2.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 07 2010 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 2.0-1
- updated to 2.0

* Thu Apr 22 2010 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.9.3-1
- updated to 1.9.3

* Thu Dec 10 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.9.1-1
- updated to 1.9.1

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.9-2
- Update desktop file according to F-12 FedoraStudio feature

* Fri Sep 18 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.9-1
- updated to 1.9
- added new additional runtime dependencies (Monkey's Audio)
- precised a description (bug 478352 - thanks to Horst H. von Brand)
- removed not needed anymore patch fixing sv locales in .desktop file 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 27 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.6.2-1
- updated to 1.6.2

* Tue Sep 15 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.6.1-1
- updated to 1.6.1

* Tue Jul 1 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.6-1
- updated to 1.6
- removed explicit libcddb dependency
- broken too long desciption line

* Sun May 4 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.5-1
- updated to 1.5
- added (commented for now) wavpack dependency

* Mon Feb 4 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.2-1
- updated to 1.0.2

* Tue Dec 18 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0-1
- updated to 1.0

* Fri Nov 09 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.9-2
- applied Michael Schwendt suggestions (all below)
- removed redundant --prefix argument
- used --delete-original to delete .desktop file
- removed minimal required version of libcddb from Requires

* Sat Oct 06 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.9-1
- updated to 0.9

* Mon Sep 03 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.1-2
- added libcddv-devel to BuildRequires section
- removed unused patch

* Sat Sep 01 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.1-1
- initial release
